# Hacked up by CB from JF's ruby toolbar
# RubyPanel Toolbar (C) 2007 jim.foltz@gmail.com


# I wrap everything in my module. It reduces
# the likelyhood of naming clashes.
module CBXRAY

    require "sketchup.rb"
   
	def self.toggle_xray
		model = Sketchup.active_model
		if model.rendering_options["ModelTransparency"]==true 
			model.rendering_options["ModelTransparency"]=false 
		else
			model.rendering_options["ModelTransparency"]=true 
		end
	end
   
	def self.toggle_perspective
		model = Sketchup.active_model
		view = model.active_view		
		if view.camera.perspective?  
			view.camera.perspective = false 
		else
			view.camera.perspective = true 
		end
	end
   
	def self.add_scene
		model = Sketchup.active_model
		pg = model.pages.add
		pg.update 
	end
   

	unless file_loaded?("XRAYToolbar.rb")
      imgdir = Sketchup.find_support_file("Plugins")

      # create toolbar
      tb = UI::Toolbar.new("Xray")

      # Toggle XRay cmd
      cmd = UI::Command.new("Toggle XRay") { toggle_xray }
      cmd.large_icon = cmd.small_icon = File.join(imgdir, "xray.png")
      cmd.status_bar_text = cmd.tooltip = "Toggle X-Ray View"
      tb.add_item cmd

      # Perspective
      cmd = UI::Command.new("Toggle Perspective") { toggle_perspective }
      cmd.status_bar_text = cmd.tooltip = "Toggle Perpsective View"
      cmd.large_icon = cmd.small_icon = File.join(imgdir, "perspective.png")
      tb.add_item cmd

      tb.show if tb.get_last_state

      file_loaded("XRAYToolbar.rb")
	end

end # module CBXRAY
